VndErrorXmlRenderer (Grails 6.0.0)

Package: grails.rest.render.errors

## [Groovy] Class VndErrorXmlRenderer

- grails.rest.render.errors.VndErrorXmlRenderer

-     @groovy.transform.CompileStatic
      class VndErrorXmlRenderer
      extends AbstractVndErrorRenderer

  A renderer that renders errors in in the Vnd.Error format (see https://github.com/blongden/vnd.error)

  Authors:
    Graeme Rocher
  Since:
    2.3

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `static java.lang.String` | `ERRORS_TAG` |
    `static java.lang.String` | `ERROR_TAG` |
    `static java.lang.String` | `LINK_TAG` |
    `static MimeType` | `MIME_TYPE` |
    `private MimeType[]` | `mimeTypes` |

  - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class AbstractVndErrorRenderer` | `HREF_ATTRIBUTE, LOGREF_ATTRIBUTE, MESSAGE_ATTRIBUTE, PATH_ATTRIBUTE, RESOURCE_ATTRIBUTE, absoluteLinks, encoding, linkGenerator, messageSource, prettyPrint`

  - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `MimeType[]` | `mimeTypes`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `VndErrorXmlRenderer ()`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `void` | `render(org.springframework.validation.Errors object, RenderContext context)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class AbstractVndErrorRenderer` | `getComponentType, getObjectId, getTargetType, resolveLogRef`

- - ### Field Detail

    - #### public static final java.lang.String ERRORS_TAG

    - #### public static final java.lang.String ERROR_TAG

    - #### public static final java.lang.String LINK_TAG

    - #### public static final MimeType MIME_TYPE

    - #### private MimeType[] mimeTypes

  - ### Property Detail

    - #### MimeType[] mimeTypes

  - ### Constructor Detail

    - #### VndErrorXmlRenderer()

  - ### Method Detail

    - #### @java.lang.Override void render(org.springframework.validation.Errors object, RenderContext context)